bio_list_merge() should do nothing if the second list is empty - not oops.

From: jblunck@suse.de
Signed-Off-By: Alasdair G Kergon <agk@redhat.com>

[Submitted upstream 2005/11/18]

Index: linux-2.6.14/drivers/md/dm-bio-list.h
===================================================================
--- linux-2.6.14.orig/drivers/md/dm-bio-list.h	2005-10-28 01:02:08.000000000 +0100
+++ linux-2.6.14/drivers/md/dm-bio-list.h	2005-11-15 15:59:20.000000000 +0000
@@ -33,6 +33,9 @@ static inline void bio_list_add(struct b
 
 static inline void bio_list_merge(struct bio_list *bl, struct bio_list *bl2)
 {
+	if (!bl2->head)
+		return;
+
 	if (bl->tail)
 		bl->tail->bi_next = bl2->head;
 	else
